5 Replies Latest reply: Aug 9, 2012 4:38 PM by rp0428 RSS

    unsuppported Exception

    946571

      hey hiiiiiiii

      im writing program on struts2 and hibernate . i made the connection with sql server 2008 succefully and im using driver package sqljdbc4 3.0 and im using myeclipse 8.6
      now
      when im runing the program it genrate an exception unsupported exception that sqljdbc4 is not supported for jre 1.6
      ?
      any help me abount it please ......

        • 1. Re: unsuppported Exception
          gimbal2
          Don't post it in a forum, take the exact error message that you get and dump it into google. Other people have had this problem before you, learn from their experiences.

          At the very least you'll probably figure out what a good place is to ask for help, this is not a support forum for the sqlserver JDBC driver.
          • 2. Re: unsuppported Exception
            946571
            why are you angry dear ?
            • 3. Re: unsuppported Exception
              Kayaman
              Muhammad Sharhukh Khan wrote:
              why are you angry dear ?
              He's not angry honey, he's just helping you learn to help yourself. Google is a lot faster in helping you than any forum.
              • 4. Re: unsuppported Exception
                gimbal2
                Muhammad Sharhukh Khan wrote:
                why are you angry dear ?
                Grandma!
                • 5. Re: unsuppported Exception
                  rp0428
                  >
                  when im runing the program it genrate an exception unsupported exception that sqljdbc4 is not supported for jre 1.6
                  >
                  No it isn't - you are assuming that is what the exception means because you 'think' you are using sqljdbc4.

                  You are probably getting this exception
                  >
                  Java Runtime Environment (JRE) version 1.6 is not supported by this driver.
                  >
                  Which means you are using an unsupported driver - which means you ARE NOT using sqljdbc4.

                  The common cause of this is that you have sqljdbc driver in your classpath also and this older driver is being found first.

                  Remove ALL drivers except sqljdbc4 from the classpath and the problem will go away.